Subject: Re: bug#24801: 25.1; Reverse regexp search highlighting

From: [email-masked]
Date: Fri, 28 Oct 2016 21:19:16 -0400

# Emacs behaving as documented, therefore notabug
tags 24801 notabug
forcemerge 9681 24801
close 24801
quit

Drew Adams <[email-masked]> writes:

>> Isn't it?  The match of aa.* "whose beginning is as close as
>> possible" when point is at the of a line of a's, is "aa".  So it seems
>> expected that searching backwards would match pairs of a's.
>
> You are right.
>
>> Can you describe exactly how the behaviour is different in Emacs 22?
>
> I was mistaken.  The same search hits are found in 22 (and before)
> as now.  Somehow I thought I was seeing something different when
> I tried 22 and 20 earlier today.
>
>> Actually, this report looks similar to 9681, although I see no
>> claims there that it worked in version 22.
>
> Yes, this is the same.  I will close this bug.
>
> Funny that I never noticed this before.  I guess that in practice
> it doesn't bite that often.  It is multiple matches in the same
> line that makes this really stand out as weird behavior.